
## Introduction

As I have been playing through and enjoying the enhanced editions of Baldur's Gate, Baldur's Gate 2, and Icewind Dale, there are many times where I would obtain a new item, and couldn't wait to see that it would look like on my character, only to be sorely disappointed by how bland or uninspired it looked.  

I thought that certainly I couldn't be the only one who thought this, so I have created this mod to address what I consider to be one of the most overlooked areas of the Enhanced Editions - Item Cosmetics

## Content

What this mod does:

- Cosmetically enhances existing items within Baldur's Gate:EE, Siege of DragonSpear, Baldur's Gate 2:EE, and Icewind Dale:EE
 - Enhancements can include:
  - New icons
  - New description images
  - New descriptions
  - Equipped appearance
  - Recoloring
  - Pulse and/or solid glows
  - New projectiles
  - New visual animations for hit effects
  
This mod does not alter functionality of any items with very few exceptions:  In cases where I found that an item was obviously broken, I corrected their function if I was able.  Two examples of this are: Shortbow of Gesen, Larloch's Minor Drain (BG2 only).  The projectile for the Gesen bow fires much slower than other arrows, and the HP drain from Larloch's doesnt work in BG2.  This mod fixes those, and a few other minor issues I found.


This mod also contains a seconday, optional component:

- Removes annoying visual effects from equipped items
 - Removes translucencies (shadowed items)
 - Removes spell trap visual effect (cloak of mirroring)
 - Removes physical mirror visual effect (reflection shield +1)
 - Removes blur visual effect (claw of kazgoroth)
 
This component is implemented in a way that does not remove the visual effect from spells which share it, with one minor exception:
 - If a character who is wearing the reflection shield +1 or cloak of mirroring were to cast physical mirror or spell trap, respecitvely, the visual effect from the spell will not show while the respective item is equipped.  However, if the item is removed, the visual effect shows as normal until the spell ends.  I'm not sure why a character wearing one of these items would need to cast those spells, but I wanted to disclose this nonetheless.


## Spoilers

Below is a list of the changed items for each game and the changes that were made to them:

Cosmetic Item Enhancements – BG2:EE
1)	Red Dragon Scale – add pulse glow
2)	Shadow Dragon Scale - recolor and add pulse glow
3)	Biter +2 – new projectile, added and changed hit visual effects
4)	Acid Arrow +1 – new projectile, add acid hit visual effect
5)	Dwarven Thrower +3 - new projectile
6)	The Brick +2 - new projectile
7)	Dragon Helm - color correction to match description, add pulse glow
8)	The Visage - change equipped appearance from helmet to circlet, add pulse glow
9)	Foebane +5 - change colors add solid glow, fix hit larloch’s drain effect and visual
i)	Corrected broken Larloch’s minor drain spell
10)	Foebane +3 – color correction and glows
11)	FrostReaver +3 – New hit visual effects for acid, ice 50/50%, recolored and modified pulse glows
12)	Stonefire +3 – Add pulse glow
13)	Helm of Dumathoin – restored missing description image
14)	Gold Horned Helm – corrected equipped appearance
15)	Dagger of the Star +4 – slow pulse glow on blade
16)	Dagger of the Star + 5 – fast pulse glow on blade, solid glow handle
17)	Blue Dragon Plate – recolored, add pulse glow
18)	White Dragon Scale – recolored, add pulse glow
19)	Corthala Family Armor – change equipped appearance to chain instead of leather
20)	Robe of Vecna – recolored, add pulse glows, new icon, new description image
21)	Robe of Goodman Hayes – fixed icon image (removed broken sequence and centered)
22)	Silver Dragon Scale – Added pulse glow, new icon
23)	Armor of the Hart +3 – new icon
24)	Grandmaster’s Armor +6 – recolored, change description image
25)	Enkidu’s Full Plate +3 – recolored
26)	Gorgon Plate +4 – new icon, recolored, add pulse glow
27)	Studded Leather of Thorns +6 – recolored, add pulse glow, new icon
28)	Helm of the Rock - new icon, changed description image, recolored
29)	Helm of the Rock (with horns) - new icon, changed description image, recolored
30)	The Jade Fang +3 - recolored
31)	Life-Stealer +4 - recolored, add pulse glow
32)	Runehammer +4 - recolored pulse glows, changed cycle speeds
33)	Runehammer +5 recolored pulse glows, changed cycle speeds
34)	Ir'revrykal +5 - added solid glow
35)	Shortbow of Gesen - corrected projectile speed to match other arrows, recolored, added pulse glow
36)	Darfire Bow + 5 - added solid glow
37)	Mana Bow +4 - recolored
38)	Firetooth +5 - added pulse glow
39)	Wild Sling +1 - recolored, corrected pulse glow
40)	Erinne Sling +5 - added pulse glow
41)	Sling of Everard +5 - added pulse glow
42)	Club of Detonation +5 - added solid glow
43)	Ice Star +4 - recolored, add solid glow
44)	Storm Star +5 - add pulse glow
45)	Wave +4 add solid glow
46)	Gram the Sword of Grief +5 - recolored, add pulse glow, add visual effect on hit of poison dmg
47)	Gram the Sword of Grief +5(upgraded) - recolored, add pulse glow, add visual effect on hit of poison dmg, and level drain.
48)	Blackrazor +3 - changed equipped appearance to long sword, added pulse glow
49)	Dragon Scale Shield +2 - recolored, added pulse glows
50)	Kazrah's shield - added solid glow
51)	Shield of Fyrus Khal - recolored, added solid glow
52)	Celestial Fury +3 - New visual effect for stun
53)	Spectral Brand +4 - recolored, recolored solid glow
54)	Spectral Brand +5 - recolored, recolored solid glow
55)	Silver Sword - recolored, new vorpal hit visual effect
56)	Silver Sword (NPC versions) - new vorpal hit visual effect
57)	Dark Justice +5 – recolored, pulse and solid glows, new vorpal hit visual effect, new icon
58)	Helm of Brilliance – minor recolor, add pulse glow
59)	Thayan Circlet - Recolored
60)	Angurvadal +4 – Recolored, removed pulse glows, recolored blade solid glow
61)	Angurvadal +5 – Recolored, removed pulse glows, recolored blade solid glow
62)	Cloak of Mirroring – remove visual effect, this item only
63)	Reflection Shield +1 – add pulse glows, changed appearance to round shield, recolored
64)	Bolt of Polymorphing – new projectile, fix squirrel poly effect
65)	Bolt of Lightning – new projectile
66)	Flail of Ages +1 (acid) – add hit acid visual effect
67)	Flail of Ages +2 (fire, acid) – new hit visual effects for fire and acid 50/50%
68)	Flail of Ages +2 (cold, acid) – new hit visual effects for cold and acid 50/50%
69)	Flail of Ages +2 (cold, fire) – new hit visual effect for cold and fire 50/50%
70)	Flail of Ages +3 (fire, acid, cold) – new hit visual effects for fire, acid, cold 33/33/33%
71)	Flail of Ages +4 (fire, acid, cold, poison) – new hit visual effects for fire, acid, cold, poison 25/25/25/25%
72)	Flail of Ages +4 (fire, acid, cold, electric) – new hit visual effects for fire, acid, cold, electric 25/25/25/25%
73)	Flail of Ages +5 (fire, acid, cold, poison, electric) – new hit visual effects for fire, acid, cold poison, electric 20/20/20/20/20%
74)	Optional component to remove annoying visual effects – blur, reflection shield, mirror cloak
75)	Kuo-Toan Bolt, Drown Bolt of Stunning, Paralytic Bolt – new hit visual effect
76)	Drow Bolt of Sleep – new hit visual effect
77)	Sunstone bullet +1 – Add pulse glow effect
78)	Arrow of Biting (both versions) – add hit visual effect when poisoned
79)	Neb’s Nasty Cutter +2 – New hit visual effect for successful poison
80)	Dagger of Venom +2 – New hit visual effect for successful poison
81)	Pixie Prick +3 – New hit visual effect for successful sleep
82)	Stiletto of Demarchess +2 – Add visual effect for paralyze hit
83)	Asp’s Nest +1 – add visual hit effect for successful poison
84)	Dart of Wounding – add visual hit effect for successful poison
85)	Dart of Stunning – add visual hit effect for successful stun
86)	Dragon’s Breath +4 - new hit visual effects for fire, acid, cold poison, electric 20/20/20/20/20%
87)	Ravager +6 – new hit visual effect for Vorpal hit
88)	Wyvern’s Tail +2 – New hit visual effect for poison damage
89)	The Sleeper +2 – change equipped appearance to flail 
90)	Entropy – Add hit visual effect for poison damage
91)	Handmaiden’s Mace +2 – Add hit visual effect for poison damage
92)	Spear of Withering +4 – Add hit visual effect for poison damage
93)	Serpent Shaft – add hit visual effect for poison damage
94)	Robe of Red Flames – add pulse glow
95)	Varscona +2 – add pulse glow
96)	The Burning Earth +1 – recolored, recolored blade solid glow


Cosmetic Item Enhancements – BG1:EE
1)	Dart of Wounding – add visual hit effect for successful poison
2)	Dart of Stunning – add visual hit effect for successful stun
3)	Robe of Red Flames – add pulse glow
4)	Varscona +2 – add pulse glow
5)	The Burning Earth +1 – recolored, recolored blade solid glow
6)	Dagger of Venom +2 – New hit visual effect for successful poison
7)	Arrow of Biting (both versions) – add hit visual effect when poisoned
8)	Drow Bolt of Sleep – new hit visual effect
9)	Optional component to remove annoying visual effects – blur, reflection shield, mirror cloak
10)	Bolt of Polymorphing – new projectile, fix squirrel poly effect
11)	Bolt of Lightning – new projectile
12)	Biter +2 – new projectile, added and changed hit visual effects
13)	Acid Arrow +1 – new projectile, add acid hit visual effect
14)	Bolt of Fire +1 – new projectile
15)	Bolt of Ice +1 – new projectile
16)	Poisoned Arrow – new hit visual effect for successful poison
17)	Void-tipped Arrow +3 – new hit visual effect for magic damage
18)	Rhyte's Last Arrow +2 - add pulse glow
19)	Bullet of Darkness +3 - add hit visual effect for magic damage
20)	Poisoned Throwing Dagger - added hit visual effect for successful poison
21)	Acid-Etched Dagger +2 - added hit visual effect for acid damage
22)	Dart of Acid +1 - added hit visual effect for acid damage
23)	Drow Dart of Sleep +1 - added hit visual effect for successful sleep
24)	Arla's Dragonbane +3 - recolor, add pulse glow
25)	Echo of the Fiend +3 - changed appearance to glowing staff, recolored, added solid glow, new inventory icon
26)	(Green) Dragonscale armor - added pulse glow
27)	Dragonscale Shiled +3 (Green Scales) - added pulse glow
28)	Robe of Arcane Aptitude - add color pulse glow
29)	Rhino Beetle Plate - added solid glow
30)	Helm of Balduran - recolored, added pulse glow
31)	The Guardian Devil - recolored, add pulse glow
32)	Tongue of Acid +3 - added hit visual effect for acid damage


Cosmetic Item Enhancements – IWD:EE
1)	Bhaal's Fire - new icon, description, recolored, added solid glows
2)	Acid Arrow +1 – new projectile
3)	Storm Bow +2 – added solid glow
4)	Shortbow of Ebullience – recolored, added pulse glow
5)	The Black Bow +3 – new icon, recolored
6)	Longbow +4: Hammer – new icon, recolored
7)	Longbow +3: Repeater – new icon, recolored
8)	Bullets of Fire +2 – added pulse glow, colored, new description
9)	Force Bullet +2 – added solid glow
10)	Bolt of Lightning +1 – new projectile, add pulse glow and colored
11)	Bolt of Sekolah’s Fire – New projectile, new icon, add pulse glow and colored
12)	Tranquil Bolt +1 – new projectile
13)	Bren Muller’s Crossbow – add glow pulse
14)	Daisy +3 – recolored
15)	Light Crossbow of Defense +2 – new icon, recolored
16)	Heavy Crossbow of Defense +2 – new icon, recolored
17)	Heavy Crossbow of Speed +2 – new icon, recolored
18)	Light Crossbow of Speed +2 – new icon, recolored
19)	Repeating Light Crossbow +3 – new icon, recolored
20)	Repeating Heavy Crossbow +3 – new icon, recolored
21)	Reinforced Heavy Crossbow +4 – new icon, recolored
22)	Presio’s Dagger +2 – new icon, recolored, add pulse glow
23)	Chaos Dagger +3 – new icon, recolored, add pulse glow
24)	Fire Kiss +3 – recolored, add pulse glow
25)	Mage Dagger +4 – new icon, recolored, add pulse glow
26)	Fang of the Gloomfrost +4 – recolored, add solid glow
27)	Fire Flail +3 – new icon, changed appearance, recolored, add pulse glow
28)	Shocking Flail +4 – new icon, changed appearance, recolored, add pulse glow
29)	Skullflail +4 – changed appearance, recolored, add solid glow
30)	Great Halberd +4 – New icon, recolored, added pulse glow
31)	Doom Halberd +3 – new icon
32)	Star-Forged Halberd +3 – new icon
33)	Demon’s Breath +3 – new icon, recolored add solid glow
34)	Blood of the Gloomfrost +4 – added solid glow
35)	Debian’s Rod of Smiting +3 – added pulse glow
36)	Fist of the Gloomfrost +4 – added solid glow
37)	Morning Star of Action +4 – new icon, recolored
38)	Morning Star +4:Defender – new icon, recolored
39)	The Giving Star +3 – added pulse glow
40)	Pestilient Dawn +4 – recolored, add solid glow
41)	Short Sword of Health +4 – new icon, recolored, add solid glow
42)	Short Sword +4: Hammer – new icon, recolored, add solid glow
43)	Static Short Sword +3 – new icon, recolor, add glow pulse
44)	Short Sword of Shadows +3 – new icon, recolor, add glow pulse
45)	Flaming Short Sword +1 – recolor, add solid glow
46)	The Summoner’s Staff +3 – changed equipped appearance, recolored, new icon, add solid glow
47)	Quost’s Staff of the Element’s +4 – changed equipped appearance, recolored, add solid glow
48)	Snow Maiden’s Reaver +2 – recolored, added solid glows
49)	Bastard Sword +3: Incinerator – new icon, recolored, changed pulse glow to solid
50)	Bastard Sword +3: Defender – new icon, recolored
51)	Flaming Long Sword +2 – removed pulse glows, added solid glows, new icon
52)	Amaunator’s Legacy +3 – recolored, added solid glow
53)	Flaming Bastard Sword +1 - removed pulse glow, added solid glows, new icon
54)	Bastard Sword of Greater Phasing +3 – new icon, recolored, added solid glow
55)	Cancerous Bastard Sword +4 – new icon, recolored, add pulse glow
56)	Talon of the Gloomfrost +4 – recolored, added solid glows
57)	Kiss of the Gloomfrost +4 – recolored, added solid glows
58)	Hand of the Gloomfrost +4 – recolored, added solid glows
59)	Long Sword +3: Enforcer – new icon, recolored, add pulse glow
60)	Hold Fast +3 – new icon, recolored, add pulse glows
61)	Restored Blade of Aihonen +5 – new icon, recolored, add pulse glows
62)	Singing Blade of Aihonen +5 – changed equipped appearance, recolored, add solid glows
63)	Long Sword of Action +4 – new icon, recolored, add pulse and solid glows
64)	Static Two-Handed Sword +4 – new icon, recolored, add pulse and solid glows
65)	Two-Handed Sword +3: Bane – new icon, recolored add pulse and solid glows
66)	Two-Handed Sword +4: Life giver – new icon, recolored, add pulse glow
67)	Wind of Heaven +4: add pulse glows
68)	Solemn Duty +3: new hit visual effect for vorpal hit, add pulse glow
69)	Axe of the Minotaur Lord +4 – recolored, added pulse glow
70)	Battle Axe +3: Fatigue – new icon, recolored, added pulse glow
71)	Benorg’s Truth – new icon, recolored, added pulse glow
72)	Foe’s Fate +4 – recolored, added pulse glow
73)	Young Rage +5 – recolored, added pulse glow
74)	Young Rage +5(soothed) – recolored, added pulse glow
75)	Black Swan Armor +2 – recolored added pulse glow
76)	Bathed-in-Blood +4 – added pulse glow
77)	Black Dragon Scale – recolored
78)	Ogien’s Scale +4 – recolored, added pulse glow
79)	Necromancer’s Robe – new icon, recolored
80)	Ogi-Luc’s Great Robe – changed appearance, recolored, added pulse glows
81)	Robes of the Watcher – recolored, added pulse glows
82)	Shadowed Studded Leather +4 – new icon, recolored
83)	Shadowed Plate +3 – new icon, recolored
84)	Studded Leather of Resistance +3 – new icon, recolored
85)	Winter King’s Plate – recolored
86)	Umber Hulk Plate – recolored
87)	Vexed Armor (all three versions) – recolored, added pulse glow
88)	Shadowed Robe – recolored
89)	Sune’s Laurel of Favor – recolored
90)	Helm of Shouting – changed equipped appearance, recolored
91)	Patriot Helm – recolored
92)	Remorhaz Shell Helm – changed equipped appearance, recolored
93)	Chautog’s Thinker – changed equipped appearance, recolored
94)	Dead Man’s Face – recolored
95)	Blessed Helm of Lathander – recolored
96)	Waukeen’s Defender +2 – recolored, added pulse glow
97)	Shield of the Revenant +2 – add pulse glow
98)	The Bitch Queen’s Envoy +2 – add solid glow
99)	Stoutward +1 (upgraded) – recolored, add pulse glow
100)	Stoutward +1 – recolored
101)	Sundered Shield of Tiernon +1 – recolored
102)	Sundered Shield of Tiernon +2 – recolored, added pulse glow
103)	Mystery of the Dead + 3(upgraded) – recolored, added pulse glow
104)	Mystery of the Dead +3 – recolored
105)	Nym’s Rhino Beetle Shield +2 - recolored





